%define upstream_name    DBIx-RunSQL
%define upstream_version 0.24

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Run SQL to create a database schema
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/DBIx/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DBI)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Getopt::Long) >= 2.360.0
BuildRequires: perl(Module::Load)
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_bindir}/run-sql.pl
%{_mandir}/man1/run-sql.pl.1*
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Wed Aug 30 2023 tv <tv> 0.240.0-1.mga10
+ Revision: 1981067
- update to 0.24

* Mon Mar 21 2022 umeabot <umeabot> 0.220.0-2.mga9
+ Revision: 1814499
- Mageia 9 Mass Rebuild

* Fri May 07 2021 tv <tv> 0.220.0-1.mga9
+ Revision: 1722175
- update to 0.22

* Sat Feb 15 2020 umeabot <umeabot> 0.210.0-2.mga8
+ Revision: 1523898
- Mageia 8 Mass Rebuild

* Fri Mar 15 2019 tv <tv> 0.210.0-1.mga7
+ Revision: 1377509
- update to 0.21

* Tue Oct 30 2018 tv <tv> 0.200.0-1.mga7
+ Revision: 1326659
- update to 0.20

* Thu Sep 20 2018 umeabot <umeabot> 0.190.0-2.mga7
+ Revision: 1282610
- Mageia 7 Mass Rebuild

* Mon Apr 23 2018 shlomif <shlomif> 0.190.0-1.mga7
+ Revision: 1221536
- update to 0.19

* Wed Mar 07 2018 shlomif <shlomif> 0.170.0-1.mga7
+ Revision: 1207186
- update to 0.17

* Mon Oct 02 2017 tv <tv> 0.150.0-2.mga7
+ Revision: 1164003
- rebuild with fixed rpm for missing autodeps

* Fri Aug 18 2017 sander85 <sander85> 0.150.0-1.mga7
+ Revision: 1141580
- update to 0.15
- update to 0.15

* Sat May 28 2016 shlomif <shlomif> 0.140.0-1.mga6
+ Revision: 1019203
- update to 0.14

* Thu Feb 18 2016 umeabot <umeabot> 0.130.0-2.mga6
+ Revision: 967196
- Mageia 6 Mass Rebuild

* Tue Jun 30 2015 shlomif <shlomif> 0.130.0-1.mga6
+ Revision: 848304
- update to 0.13

* Sun Oct 19 2014 umeabot <umeabot> 0.120.0-4.mga5
+ Revision: 789900
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.120.0-3.mga5
+ Revision: 745529
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.120.0-2.mga5
+ Revision: 684140
- Mageia 5 Mass Rebuild

* Mon Feb 24 2014 jquelin <jquelin> 0.120.0-1.mga5
+ Revision: 596236
- update to 0.12

* Tue Feb 04 2014 shlomif <shlomif> 0.110.0-1.mga5
+ Revision: 581031
- update to 0.11

* Sat Oct 19 2013 umeabot <umeabot> 0.100.0-2.mga4
+ Revision: 525192
- Mageia 4 Mass Rebuild

* Wed May 29 2013 shlomif <shlomif> 0.100.0-1.mga4
+ Revision: 432453
- update to 0.10

* Sun Jan 13 2013 umeabot <umeabot> 0.90.0-2.mga3
+ Revision: 365161
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 12 2012 kharec <kharec> 0.90.0-1.mga3
+ Revision: 259990
- update to 0.09

* Mon May 28 2012 kharec <kharec> 0.80.0-1.mga3
+ Revision: 248361
- disable tests for now
- add a BR on Test::Pod
- update to 0.08

* Sun Nov 20 2011 kharec <kharec> 0.70.0-1.mga2
+ Revision: 169824
- imported package perl-DBIx-RunSQL

